Page MenuHomePhabricator

[wmf.21] Homepage - empty filter selection can be saved
Open, HighPublicBUG REPORT

Description

Steps to replicate the issue :

  • On frwiki Special:Homepage in SE module go to "Select types of edits" filter
  • De-select all task types; the correct warning appears "Select at least one type of edits" but the Done button is active and can be clicked.

What happens?:

  • No suggestions found card is incorrect since the previously selected topic(s) has some suggestions

Screen Shot 2024-03-12 at 4.34.06 PM.png (1×1 px, 109 KB)

What should have happened instead?:

  • when none of "Select types of edits" filters is selected, the Done button should not be active.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The similar task T321762: [wmf.17- regression] Homepage - no Task type selection is allowed.

Testing notes - to check after the fix:
(1)

  • No selection of topics and task types results in "No suggestions found" - reload the page: the suggestions are displayed; also note the count of available articles after reloading the page - 10,077
Screen Shot 2024-03-12 at 4.58.21 PM.png (1×1 px, 106 KB)
after reloading the page.
Screen Shot 2024-03-12 at 4.50.44 PM.png (1×1 px, 104 KB)
  • open Select topic - the count of articles drops to 1 and only one SE article will be displayed:

Screen Shot 2024-03-12 at 5.20.42 PM.png (1×1 px, 491 KB)

(2) After the steps above, it becomes not possible to select a topic(s) before making selection of task types - the count of articles will be zero even many topics are selected:

Done button is active only when no topics is selected
Screen Shot 2024-03-12 at 5.25.41 PM.png (1×1 px, 264 KB)
Done button is not active if any of the topics are selected
Screen Shot 2024-03-12 at 5.22.25 PM.png (1×1 px, 265 KB)

(3) @Trizek-WMF reported - the case when selecting Task type results in the incorrect, i.e. zero count, of available tasks.

Screen Shot 2024-03-13 at 8.31.52 AM.png (1×1 px, 162 KB)

The steps for the above case are tricky to reproduce reliably. On frrwiki select Math as a topic and Update as a task type - which will result in zero number of task (CORRECT). Then de-select Math, then the number of tasks still would display as zero (INCORRECT).
Note: a separate case - when a user enables in Preferences Homepage, and Add link task type is selected without selecting a topic, then the issue is present.

Change 1010889 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] NewcomerTaskStore: update the task queue before finishing loading

https://gerrit.wikimedia.org/r/1010889

Sgs edited projects, added Growth-Team (Sprint 9 (Growth Team)); removed Growth-Team.
Sgs moved this task from Inbox to Up Next on the Growth-Team board.
Sgs moved this task from Incoming to Code Review on the Growth-Team (Sprint 9 (Growth Team)) board.

Change 1010889 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] NewcomerTaskStore: update the task queue before finishing loading

https://gerrit.wikimedia.org/r/1010889

No selection of topics and task types results in "No suggestions found", after the fix this won't possible. Which are the steps to get to this state (1), if not the ones stated in the description?
Are scenarios (2) & (3) a fall-out from (1)? cc @Etonkovidova

No selection of topics and task types results in "No suggestions found", after the fix this won't possible. Which are the steps to get to this state (1), if not the ones stated in the description?
Are scenarios (2) & (3) a fall-out from (1)? cc @Etonkovidova

Yes, I think so.

@Sgs - checked in beta- works, i.e. Done button in 'Select types of edits" is inactive if no topic selection is made. It seems that some cache warming is needed, so the issue might be present on couple of first attempts.

All other testing scenarios (listed in https://phabricator.wikimedia.org/T359992#9627690) are not reachable due to the fix. They all were fall-out results of the bug.

Change 1012778 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Revert "NewcomerTaskStore: update the task queue before finishing loading"

https://gerrit.wikimedia.org/r/1012778

Caused T360469, and Kirsten decided we should revert the fix and fix this issue correctly.

Change 1012779 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@wmf/1.42.0-wmf.23] Revert "NewcomerTaskStore: update the task queue before finishing loading"

https://gerrit.wikimedia.org/r/1012779

Change 1012778 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Revert "NewcomerTaskStore: update the task queue before finishing loading"

https://gerrit.wikimedia.org/r/1012778

Change 1012779 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.42.0-wmf.23] Revert "NewcomerTaskStore: update the task queue before finishing loading"

https://gerrit.wikimedia.org/r/1012779

Mentioned in SAL (#wikimedia-operations) [2024-03-20T18:14:48Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:1012779|Revert "NewcomerTaskStore: update the task queue before finishing loading" (T360469 T359992)]]

Mentioned in SAL (#wikimedia-operations) [2024-03-20T18:17:12Z] <urbanecm@deploy2002> urbanecm: Backport for [[gerrit:1012779|Revert "NewcomerTaskStore: update the task queue before finishing loading" (T360469 T359992)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-03-20T18:30:51Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:1012779|Revert "NewcomerTaskStore: update the task queue before finishing loading" (T360469 T359992)]] (duration: 16m 02s)

Change #1026853 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: update task queue before loading

https://gerrit.wikimedia.org/r/1026853

Change #1026853 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: update task queue before loading

https://gerrit.wikimedia.org/r/1026853

Checked in enwiki betalabs - the current (fixed) behavior is:

  • deselect all type tasks - Done button is active, a user can click on it and saves the no-task type selected filter. The count of found tasks is zero. The Done button is inactive.
  • after that, selecting any topics won't change the count - zero tasks is found.

**//Testing notes://**
Testing scenarios to check in production:

  • Check all scenarios from https://phabricator.wikimedia.org/T359992#9625341|
  • Check for a new user (or a user wo restores all default preferences)
    • doesn't select any topics in the intro tour - the task counter shows correct number
    • a user deselect the default task types - the counter shows the warning and the counter is zero. The Get suggestions button is inactive